#!/bin/bash

armorFile="/etc/apparmor.d/usr.bin.evince"
hadWxFixed=$(cat $armorFile | grep "WinuniX")

if [ "$hadWxFixed" == "" ]; then
	NUM=$(cat $armorFile | grep 'owner /tmp/evince-thumbnailer\*/{,\*\*} rw,' -n | cut -d':' -f1)
	sed -i $(($NUM+1))"i\ \ # WinuniX added this line" $armorFile
	sed -i $(($NUM+2))"i\ \ owner /home/\*/.cache/thumbnails/\*/\*.\* rw," $armorFile
	apparmor_parser -r $armorFile
fi
